fr8 requires the Adobe Flash player